Index: src/Actions/WorldAction/CenterOnEdgeAction.cpp
===================================================================
--- src/Actions/WorldAction/CenterOnEdgeAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/CenterOnEdgeAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -94,7 +94,3 @@
   return false;
 }
-
-const string WorldCenterOnEdgeAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/WorldAction/CenterOnEdgeAction.def
===================================================================
--- src/Actions/WorldAction/CenterOnEdgeAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/CenterOnEdgeAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #undef paramtypes
 #undef paramtokens
 #undef paramdescriptions
+#undef paramdefaults
 #undef paramreferences
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "center edge of all atoms on (0,0,0)"
 #define SHORTFORM "O"
-#define TYPEINFO &typeid(void)
Index: src/Actions/WorldAction/ChangeBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/ChangeBoxAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/ChangeBoxAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -68,7 +68,3 @@
   return false;
 }
-
-const string WorldChangeBoxAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/WorldAction/ChangeBoxAction.def
===================================================================
--- src/Actions/WorldAction/ChangeBoxAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/ChangeBoxAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -12,8 +12,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (Box)
 #define paramtokens ("change-box")
-#define paramdescriptions ("change the symmetrc matrix of the simulation domain")
+#define paramdescriptions ("symmetrc matrix of the new simulation domain")
+#undef paramdefaults
 #define paramreferences (cell_size)
 
@@ -30,6 +31,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "change the symmetrc matrix of the simulation domain"
 #define SHORTFORM "B"
-#define TYPEINFO &typeid(BoxValue)
Index: src/Actions/WorldAction/InputAction.cpp
===================================================================
--- src/Actions/WorldAction/InputAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/InputAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -104,7 +104,3 @@
   return false;
 }
-
-const string WorldInputAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/WorldAction/InputAction.def
===================================================================
--- src/Actions/WorldAction/InputAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/InputAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (boost::filesystem::path)
 #define paramtokens ("input")
-#define paramdescriptions ("specify input files")
+#define paramdescriptions ("name of input files")
+#undef paramdefaults
 #define paramreferences (filename)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "specify input files"
 #define SHORTFORM "i"
-#define TYPEINFO &typeid(boost::filesystem::path)
Index: src/Actions/WorldAction/OutputAction.cpp
===================================================================
--- src/Actions/WorldAction/OutputAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/OutputAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -66,7 +66,3 @@
   return false;
 }
-
-const string WorldOutputAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/WorldAction/OutputAction.def
===================================================================
--- src/Actions/WorldAction/OutputAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/OutputAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #undef paramtypes
 #undef paramtokens
 #undef paramdescriptions
+#undef paramdefaults
 #undef paramreferences
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "write output files"
-#define SHORTFORM "o"
-#define TYPEINFO &typeid(void)
+#undef SHORTFORM
Index: src/Actions/WorldAction/RepeatBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/RepeatBoxAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/RepeatBoxAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -148,7 +148,3 @@
   return false;
 }
-
-const string WorldRepeatBoxAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/WorldAction/RepeatBoxAction.def
===================================================================
--- src/Actions/WorldAction/RepeatBoxAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/RepeatBoxAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -12,8 +12,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (Vector)
 #define paramtokens ("repeat-box")
-#define paramdescriptions ("create periodic copies of the simulation box per axis")
+#define paramdescriptions ("number of copies to create per axis")
+#undef paramdefaults
 #define paramreferences (Repeater)
 
@@ -30,6 +31,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "create periodic copies of the simulation box per axis"
 #define SHORTFORM "d"
-#define TYPEINFO &typeid(VectorValue)
Index: src/Actions/WorldAction/ScaleBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/ScaleBoxAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/ScaleBoxAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -86,7 +86,3 @@
   return false;
 }
-
-const string WorldScaleBoxAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/WorldAction/ScaleBoxAction.def
===================================================================
--- src/Actions/WorldAction/ScaleBoxAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/ScaleBoxAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -12,8 +12,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (Vector)
 #define paramtokens ("scale-box")
-#define paramdescriptions ("scale box and atomic positions inside")
+#define paramdescriptions ("scaling factor for each axis")
+#undef paramdefaults
 #define paramreferences (Scaler)
 
@@ -30,6 +31,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "scale box and atomic positions inside"
 #define SHORTFORM "s"
-#define TYPEINFO &typeid(VectorValue)
Index: src/Actions/WorldAction/SetDefaultNameAction.cpp
===================================================================
--- src/Actions/WorldAction/SetDefaultNameAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/SetDefaultNameAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -73,7 +73,3 @@
   return true;
 }
-
-const string WorldSetDefaultNameAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/WorldAction/SetDefaultNameAction.def
===================================================================
--- src/Actions/WorldAction/SetDefaultNameAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/SetDefaultNameAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::string)
 #define paramtokens ("default-molname")
-#define paramdescriptions ("set the default name of new molecules")
+#define paramdescriptions ("new default name of new molecules")
+#undef paramdefaults
 #define paramreferences (newname)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "set the default name of new molecules"
 #define SHORTFORM "X"
-#define TYPEINFO &typeid(std::string)
Index: src/Actions/WorldAction/SetGaussianBasisAction.cpp
===================================================================
--- src/Actions/WorldAction/SetGaussianBasisAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/SetGaussianBasisAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -73,7 +73,3 @@
   return true;
 }
-
-const string WorldSetGaussianBasisAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/WorldAction/SetGaussianBasisAction.def
===================================================================
--- src/Actions/WorldAction/SetGaussianBasisAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/SetGaussianBasisAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
 #define paramtypes (std::string)
 #define paramtokens ("set-basis")
-#define paramdescriptions ("set the name of the gaussian basis set for MPQC")
+#define paramdescriptions ("name of the gaussian basis set for MPQC")
+#undef paramdefaults
 #define paramreferences (newname)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "set the name of the gaussian basis set for MPQC"
 #define SHORTFORM "M"
-#define TYPEINFO &typeid(std::string)
Index: src/Actions/WorldAction/SetOutputFormatsAction.cpp
===================================================================
--- src/Actions/WorldAction/SetOutputFormatsAction.cpp	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/SetOutputFormatsAction.cpp	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -71,7 +71,3 @@
   return false;
 }
-
-const string WorldSetOutputFormatsAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/WorldAction/SetOutputFormatsAction.def
===================================================================
--- src/Actions/WorldAction/SetOutputFormatsAction.def	(revision 53be342642ecc5d8c92481d78bf7924d629aad3f)
+++ src/Actions/WorldAction/SetOutputFormatsAction.def	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (vector<std::string>)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (std::vector<std::string>)
 #define paramtokens ("set-output")
 #define paramdescriptions ("specify output formats")
+#undef paramdefaults
 #define paramreferences (FormatList)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "specify output formats"
 #define SHORTFORM "o"
-#define TYPEINFO &typeid(std::vector<std::string>)
Index: src/Actions/convert5.sh
===================================================================
--- src/Actions/convert5.sh	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
+++ src/Actions/convert5.sh	(revision 76cec6c27521e13434c84ce3ad89ba64ea437510)
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+
+for file in `find . -name '*.def'`; do 
+       sed -i -e "s/\(.*paramdescriptions.*\)/\1\n#undef paramdefaults/" -e "s#\(// \"undefine\" if no parameters are required\)#\1, use (NODEFAULT) for each (undefined) default value#" $file; 
+done
+
